# ionoscloud\_nfs\_cluster

Returns information about clusters of Network File Storage (NFS) on IONOS CLOUD.

## Example Usage

## By ID

```hcl
data "ionoscloud_nfs_cluster" "example" {
  location = "location"
  id = "cluster-id"
}
```

## By Name

```hcl
data "ionoscloud_nfs_cluster" "example" {
  location = "location"
  name = "partial-name"
  partial_match = true
}

output "cluster_test_output" {
    value = format("%s from %s with %sTB",
        data.ionoscloud_nfs_cluster.example.name,
        data.ionoscloud_nfs_cluster.example.location,
        data.ionoscloud_nfs_cluster.example.nfs[0].min_version
    )
}
```

## Argument Reference

* `location` - (Optional) The location where the Network File Storage cluster is located. Available locations: `de/fra`, `de/fra/2`, `de/txl`, `fr/par`, `gb/lhr`, `es/vit`, `us/las`, `us/ewr`, `us/mci`.
* `name` - (Optional) Name of the Network File Storage cluster.
* `id` - (Optional) ID of the Network File Storage cluster.
* `partial_match` - (Optional) Whether partial matching is allowed or not when using the name filter. Defaults to `false`.

## Attributes Reference

The following attributes are returned by the datasource:

-`id` - The ID of the Network File Storage cluster.

* `name` - The name of the Network File Storage cluster.
* `location` - The location where the Network File Storage cluster is located.
* `size` - The size of the Network File Storage cluster. Note that the cluster size cannot be reduced after provisioning. This value determines the billing fees.
* `size_unit` - The unit of the `size` attribute. Possible values: `TiB`, `GiB`.
* `nfs` - The NFS configuration for the Network File Storage cluster. Each NFS configuration supports the following:
  * `min_version` - The minimum supported version of the NFS cluster. Default is `4.2`
* `connections` - A list of connections for the Network File Storage cluster. You can specify only one connection. Each connection supports the following:
  * `datacenter_id` - The ID of the datacenter where the Network File Storage cluster is located.
  * `ip_address` - The IP address and prefix of the Network File Storage cluster. The IP address can be either IPv4 or IPv6. The IP address has to be given with CIDR notation.
  * `lan` - The Private LAN to which the Network File Storage cluster must be connected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/nfs_cluster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
